
#include <iostream>
#include <cmath>
#include "mainwindow.h"
#include "ui_mainwindow.h"
#include "usb_hid_raw.h"
#include "hidapi.h"

unsigned char Port = 0x60;

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent), ui(new Ui::MainWindowClass)
{
    ui->setupUi(this);

    QTimer *timer = new  QTimer(this);
    connect(timer, SIGNAL(timeout()), this, SLOT(get_1_from_adc()));

    timer->start(100);
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_radioButton_pd6_clicked(bool checked)
{
    if (checked) {Port |= 0x40; send_to_port(Port);}
    else {Port &= 0xBF; send_to_port(Port);}
}

void MainWindow::on_checkBox_pb0_clicked(bool checked)
{
  if (checked) {Port |= 0x01; send_to_port(Port);}
    else {Port &= 0xFE; send_to_port(Port);}
}
void MainWindow::on_checkBox_pb1_clicked(bool checked)
{
  if (checked) {Port |= 0x02; send_to_port(Port);}
    else {Port &= 0xFD; send_to_port(Port);}
}
void MainWindow::on_checkBox_pb2_clicked(bool checked)
{
  if (checked) {Port |= 0x04; send_to_port(Port);}
    else {Port &= 0xFB; send_to_port(Port);}
}
void MainWindow::on_checkBox_pb3_clicked(bool checked)
{
  if (checked) {Port |= 0x08; send_to_port(Port);}
    else {Port &= 0xF7; send_to_port(Port);}
}

void MainWindow::get_1_from_adc()
{
    quint16 adcval;
    adcval = 100;
    adcval = get_once_from_adc();
    ui->adc_value->display(adcval);
    ui->adc_voltage->display(adcval/1024.0*5.0);
}



